
rhr = {}

rhr.Context = UI.CreateContext("Context")
rhr.Context:SetSecureMode("restricted")
rhr.Window = UI.CreateFrame("Frame", "MainWindow", rhr.Context)
rhr.Window:SetSecureMode("restricted")
rhr.WindowReset = UI.CreateFrame("SimpleWindow", "MainWindow", rhr.Context)
rhr.WindowReset:SetSecureMode("restricted")
rhr.WindowReset:SetVisible(false)
rhr.WindowResetText = UI.CreateFrame("Text", "MainWindow", rhr.WindowReset)
rhr.WindowResetButton = UI.CreateFrame("RiftButton", "MainWindow", rhr.WindowReset)
rhr.WindowResetButton:SetSecureMode("restricted")
rhr.WindowDrag = UI.CreateFrame("Frame", "drag frame", rhr.Window)
rhr.WindowFrameTop = UI.CreateFrame("Texture", "Texture", rhr.Window)
rhr.WindowFrameTop:SetSecureMode("restricted")
rhr.CenterFrame = UI.CreateFrame("Frame", "Texture", rhr.WindowFrameTop)
rhr.CenterFrame:SetSecureMode("restricted")
rhr.groupMask = {}
rhr.groupBF = {}
rhr.groupHF = {}
rhr.groupName = {}
rhr.groupStatus = {}
rhr.groupRole = {}
rhr.groupHoT = {}
rhr.groupTooltip = {}
rhr.groupText = {}
rhr.SoloTable = {}
rhr.QueryTable = {}
rhr.RaidTable = {}
rhr.GroupTable = {}
rhr.UnitBuffTable = {}
for i = 1, 20 do
	rhr.groupBF[i] = UI.CreateFrame("Texture", "Border", rhr.CenterFrame)
	rhr.groupHF[i] = UI.CreateFrame("Texture", "Health", rhr.groupBF[i])
	rhr.groupName[i] = UI.CreateFrame("Text", "Name", rhr.groupBF[i])
	rhr.groupStatus[i] = UI.CreateFrame("Text", "Status", rhr.groupBF[i])
	rhr.groupRole[i] = UI.CreateFrame("Texture", "Role", rhr.groupBF[i])
	rhr.groupHoT[i] = UI.CreateFrame("Texture", "HoT", rhr.groupBF[i])
	rhr.groupMask[i] = UI.CreateFrame("Frame", "group"..i, rhr.Window)
	rhr.groupMask[i]:SetSecureMode("restricted")
	rhr.groupTooltip[i] = UI.CreateFrame("SimpleTooltip","groupT"..i, rhr.CenterFrame)
	rhr.RaidTable[string.format("group%.2d", i)] = true
	rhr.UnitBuffTable[string.format("group%.2d", i)] = {}
end
for i = 1, 5 do
	rhr.GroupTable[string.format("group%.2d", i)] = true
	rhr.GroupTable[string.format("group%.2d.pet", i)] = true
	rhr.UnitBuffTable[string.format("group%.2d.pet", i)] = {}
end
rhr.UnitBuffTable["player"] = {}
rhr.UnitBuffTable["player.pet"] = {}
rhr.SoloTable["player"] = true 
rhr.SoloTable["player.pet"] = true 
rhr.OptionsButton = UI.CreateFrame("Texture", "OptionsButton", rhr.Window)
rhr.LockButton = UI.CreateFrame("Texture", "LockButton", rhr.Window)
rhr.TTButton = UI.CreateFrame("Texture", "MinimizeButton", rhr.Window)
rhr.CloseButton = UI.CreateFrame("Texture", "CloseButton", rhr.Window)
rhr.ResizeButton = UI.CreateFrame("Texture", "ResizeButton", rhr.Window)
--
rhr.WindowOptions = UI.CreateFrame("SimpleWindow", "OptionsWindow", rhr.Context)
rhr.WindowOptions:SetVisible(false)
rhr.WindowOptionsTab = UI.CreateFrame("SimpleTabView", "OptionsWindowFrame", rhr.WindowOptions)
rhr.WindowOptionsA = UI.CreateFrame("Frame", "OptionsWindowA", rhr.WindowOptionsTab)
rhr.WindowOptionsB = UI.CreateFrame("Frame", "OptionsWindowB", rhr.WindowOptionsTab)
rhr.WindowOptionsC = UI.CreateFrame("Frame", "OptionsWindowC", rhr.WindowOptionsTab)
rhr.WindowOptionsTab:AddTab("Macros", rhr.WindowOptionsA)
rhr.WindowOptionsTab:AddTab("UI Colors", rhr.WindowOptionsB)
rhr.WindowOptionsTab:AddTab("UI Elements", rhr.WindowOptionsC)

rhr.WindowOptionsSetTab = UI.CreateFrame("SimpleTabView", "OptionsWindowFrame", rhr.WindowOptionsA)
rhr.WindowOptionsSetFrame = {}
for i = 1, 3 do
	rhr.WindowOptionsSetFrame[i] = UI.CreateFrame("Frame", "OptionsWindowFrame", rhr.WindowOptionsSetTab)
	rhr.WindowOptionsSetTab:AddTab("Set "..i, rhr.WindowOptionsSetFrame[i])
end
rhr.WindowOptionsSetParent = UI.CreateFrame("Texture", "List", rhr.WindowOptionsSetFrame[1])
rhr.WindowOptionsSetParent:SetTexture("RiftHealer", "Textures/optionsborder.png")

rhr.AbilityListFrame = UI.CreateFrame("SimpleScrollView", "List", rhr.WindowOptionsA)
rhr.AbilityListButton = UI.CreateFrame("RiftButton", "ListRefresh", rhr.WindowOptionsA)
rhr.AbilityList = UI.CreateFrame("SimpleList", "List", rhr.WindowOptionsA)
rhr.myAbility = {}

rhr.OptionsText = {"Mouse Left", "Mouse Right", "Mouse Middle", "Mouse 4", "Mouse 5", "Shift", "Ctrl", "Alt", "None", "[shift]", "[ctrl]", "[alt]", ""}
rhr.OptionsRadioA = {}
rhr.OptionsRadioB = {}
rhr.OptionsModText = {}
rhr.OptionsModTextInput = {}
rhr.OptionsRadioSeperator = UI.CreateFrame("Texture", "OptionsBorderB", rhr.WindowOptionsSetParent)
rhr.OptionsRadioSeperator:SetTexture("RiftHealer", "Textures/seperator.png")
rhr.WindowOptionsEditor = UI.CreateFrame("Frame", "OptionsMacro Editor", rhr.WindowOptions)
--rhr.OptionsSelectExample = {}
rhr.OptionsCustom = UI.CreateFrame("RiftTextfield", "Custom", rhr.WindowOptionsEditor)
rhr.OptionsCustomHelp = UI.CreateFrame("Text", "Custom", rhr.WindowOptionsEditor)
rhr.OptionsCustomButton = UI.CreateFrame("RiftButton", "Custom", rhr.WindowOptionsEditor)
rhr.MacroText = {}
--LSW Radio Buttons
rhr.OptionsSetA = Library.LibSimpleWidgets.RadioButtonGroup("rhr.OptionsSetA")
for i = 1, 5 do
	rhr.OptionsRadioA[i] = UI.CreateFrame("SimpleRadioButton", "OptionsRadioButtonA", rhr.WindowOptionsSetParent)
	rhr.OptionsSetA:AddRadioButton(rhr.OptionsRadioA[i])
--	rhr.OptionsSelectExample[i] = UI.CreateFrame("Text", "OptionsSelectExample", rhr.WindowOptionsSetParent)
end
rhr.OptionsSetB = Library.LibSimpleWidgets.RadioButtonGroup("rhr.OptionsSetB")
for i = 1, 4 do
	rhr.OptionsModText[i] = UI.CreateFrame("SimpleRadioButton", "OptionsModText", rhr.WindowOptionsSetParent)
	rhr.OptionsSetB:AddRadioButton(rhr.OptionsModText[i])
	rhr.OptionsModTextInput[i] = UI.CreateFrame("Text", "OptionsModText", rhr.WindowOptionsSetParent)
end

--LSW Radio Buttons end
rhr.OptionsUITexture = UI.CreateFrame("Texture", "Health", rhr.WindowOptionsB)
rhr.OptionsTextureSelector = UI.CreateFrame("SimpleList", "ColorList", rhr.WindowOptionsB)
rhr.OptionsColorSliderR = UI.CreateFrame("SimpleSlider", "ColorR", rhr.WindowOptionsB)
rhr.OptionsColorSliderG = UI.CreateFrame("SimpleSlider", "ColorG", rhr.WindowOptionsB)
rhr.OptionsColorSliderB = UI.CreateFrame("SimpleSlider", "ColorB", rhr.WindowOptionsB)
rhr.OptionsColor1 = UI.CreateFrame("Text", "Example", rhr.WindowOptionsB)
rhr.OptionsColor2 = UI.CreateFrame("Text", "Example", rhr.WindowOptionsB)
rhr.OptionsCallingSelector = UI.CreateFrame("SimpleList", "ColorList", rhr.WindowOptionsB)
rhr.BuffListFrame = UI.CreateFrame("SimpleScrollView", "List", rhr.WindowOptionsC)
rhr.BuffListToggle = UI.CreateFrame("SimpleCheckbox", "ListRefresh", rhr.WindowOptionsC)
rhr.BuffListAddSpell = UI.CreateFrame("RiftTextfield", "ListRefresh", rhr.WindowOptionsC)
rhr.BuffListAddButton = UI.CreateFrame("RiftButton", "ListRefresh", rhr.WindowOptionsC)
rhr.BuffListRemButton = UI.CreateFrame("RiftButton", "ListRefresh", rhr.WindowOptionsC)
rhr.BuffList = UI.CreateFrame("SimpleList", "List", rhr.WindowOptionsC)
rhr.DebuffListToggle = UI.CreateFrame("SimpleCheckbox", "ListRefresh", rhr.WindowOptionsC)
rhr.RoleToggle = UI.CreateFrame("SimpleCheckbox", "ListRefresh", rhr.WindowOptionsC)
rhr.ShowPetsToggle = UI.CreateFrame("SimpleCheckbox", "ListRefresh", rhr.WindowOptionsC)

rhr.UnitTable = {"player", "player.pet"}
rhr.UnitsTable = {"group01", "group02", "group03", "group04", "group05", "group06", "group07", "group08", "group09", "group10", "group11", "group12", "group13", "group14", "group15", "group16", "group17", "group18", "group19", "group20"}
rhr.init = false
rhr.UnitsGroupTable = {"group01", "group02", "group03", "group04", "group05", "group01.pet", "group02.pet", "group03.pet", "group04.pet", "group05.pet"}
rhr.lf = "\n"
rhr.clickOffset = {x = 0, y = 0}
rhr.resizeOffset = {x = 0, y = 0}
rhr.Calling = {"warrior", "cleric", "mage", "rogue", "percentage"}
rhr.Role = {"tank", "heal", "dps", "support"}

petfound = false
rhr.OptionsCustomHelpText = "  Type each macro command on a single line."..rhr.lf.."  You do not have to enter SUPPRESSMACROFAILURES, that will be handled in code. "..rhr.lf.."  You can use all the modifiers in here [shift], [ctrl] [alt]."..rhr.lf.." Macros work exactly in this editor as they do in the Rift editor with a small change. "..rhr.lf.."  Instead of using mouseover, you need to use ## instead. The result will be group01 to group 20."..rhr.lf..rhr.lf.."  Example: cast [ctrl] ## Healing Wave"..rhr.lf..rhr.lf.."This will cast Healing Wave on your current group member you are clicking and only if you are holding down control key as well."
